"""Enumeration of quantity source types describing where a quantity value came from"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/enums/QuantitySourceType.schema.json

from enum import Enum


class QuantitySourceType(Enum):
    """Enumeration of quantity source types describing where a quantity value came from"""

    ENUM_HUMAN_ESTIMATED = "HUMAN_ESTIMATED"
    ENUM_MACHINE_ESTIMATED = "MACHINE_ESTIMATED"
    ENUM_UNSPECIFIED = "UNSPECIFIED"
    ENUM_INSTRUMENT_FIXED = "INSTRUMENT_FIXED"
    ENUM_INSTRUMENT_MAX = "INSTRUMENT_MAX"
    ENUM_INSTRUMENT_MIN = "INSTRUMENT_MIN"
