"""JSON containing file type identifier and list of document objects"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/files/DocumentsFile.schema.json

from pydantic import Field
from pyocf.objects.document import Document
from pyocf.primitives.files.file import FileObject
from typing import Annotated
from typing import Literal


class DocumentsFile(FileObject):
    """JSON containing file type identifier and list of document objects"""

    items: Annotated[list[Document], Field(description="List of OCF document objects")]
    file_type: Annotated[Literal["OCF_DOCUMENTS_FILE"], Field(description="")] = (
        "OCF_DOCUMENTS_FILE"
    )
