"""JSON containing file type identifier and list of financings"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/files/FinancingsFile.schema.json

from pydantic import Field
from pyocf.objects.financing import Financing
from pyocf.primitives.files.file import FileObject
from typing import Annotated
from typing import Literal


class FinancingsFile(FileObject):
    """JSON containing file type identifier and list of financings"""

    items: Annotated[
        list[Financing], Field(description="List of OCF financing objects")
    ]
    file_type: Annotated[Literal["OCF_FINANCINGS_FILE"], Field(description="")] = (
        "OCF_FINANCINGS_FILE"
    )
