"""Object describing a financing"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/objects/Financing.schema.json

from pydantic import Field
from pyocf.primitives.objects.object import Object
from pyocf.types.date import Date
from typing import Annotated
from typing import Literal
from typing import Optional


class Financing(Object):
    """Object describing a financing"""

    object_type: Annotated[Literal["FINANCING"], Field(description="")] = "FINANCING"
    name: Annotated[str, Field(description="Name for the financing")]
    issuance_ids: Annotated[
        list[str],
        Field(description="Array of issuance IDs associated with the financing"),
    ]
    date: Annotated[
        Date, Field(description="Date on which the financing event occurred")
    ]
    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
