"""Object describing a change event for the relationship(s) between the stakeholder
and the issuer"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/main/schema/objects/transactions/change_event/StakeholderRelationshipChangeE
# vent.schema.json

from pydantic import Field
from pyocf.enums.stakeholderrelationshiptype import StakeholderRelationshipType
from pyocf.primitives.objects.object import Object
from pyocf.primitives.objects.transactions.change_event.stakeholderchangeevent import (
    StakeholderChangeEvent,
)
from pyocf.primitives.objects.transactions.transaction import Transaction
from pyocf.types.date import Date
from typing import Annotated
from typing import Literal
from typing import Optional


class StakeholderRelationshipChangeEvent(Object, Transaction, StakeholderChangeEvent):
    """Object describing a change event for the relationship(s) between the stakeholder
    and the issuer
    """

    object_type: Annotated[
        Literal["CE_STAKEHOLDER_RELATIONSHIP"], Field(description="")
    ] = "CE_STAKEHOLDER_RELATIONSHIP"
    relationship_started: Optional[
        Annotated[
            StakeholderRelationshipType,
            Field(
                description="Denoting the beginning of this relationship on the change date"
            ),
        ]
    ] = None
    relationship_ended: Optional[
        Annotated[
            StakeholderRelationshipType,
            Field(
                description="Denoting the ending of this relationship on the change date"
            ),
        ]
    ] = None
    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
    date: Annotated[Date, Field(description="Date on which the transaction occurred")]
    stakeholder_id: Annotated[
        str,
        Field(
            description="Identifier of the Stakeholder object, a subject of this change event"
            '"transaction"'
        ),
    ]
