"""Object describing a change event for the activity status of this stakeholder"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/main/schema/objects/transactions/change_event/StakeholderStatusChangeEvent.s
# chema.json

from pydantic import Field
from pyocf.enums.stakeholderstatustype import StakeholderStatusType
from pyocf.primitives.objects.object import Object
from pyocf.primitives.objects.transactions.change_event.stakeholderchangeevent import (
    StakeholderChangeEvent,
)
from pyocf.primitives.objects.transactions.transaction import Transaction
from pyocf.types.date import Date
from typing import Annotated
from typing import Literal
from typing import Optional


class StakeholderStatusChangeEvent(Object, Transaction, StakeholderChangeEvent):
    """Object describing a change event for the activity status of this stakeholder"""

    object_type: Annotated[Literal["CE_STAKEHOLDER_STATUS"], Field(description="")] = (
        "CE_STAKEHOLDER_STATUS"
    )
    new_status: Annotated[
        StakeholderStatusType,
        Field(
            description="Denoting the beginning of this activity status on the change date"
        ),
    ]
    id: Annotated[str, Field(description="Identifier for the object")]
    comments: Optional[
        Annotated[
            list[str],
            Field(
                description="Unstructured text comments related to and stored for the object"
            ),
        ]
    ] = None
    date: Annotated[Date, Field(description="Date on which the transaction occurred")]
    stakeholder_id: Annotated[
        str,
        Field(
            description="Identifier of the Stakeholder object, a subject of this change event"
            '"transaction"'
        ),
    ]
