"""Abstract object describing a security transfer or secondary sale transaction"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/main/schema/primitives/objects/transactions/consolidation/Consolidation.sche
# ma.json

from pydantic import BaseModel
from pydantic import Field
from typing import Annotated
from typing import Optional


class Consolidation(BaseModel):
    """Abstract object describing a security transfer or secondary sale transaction"""

    resulting_security_id: Annotated[
        str,
        Field(
            description="Identifier for the security that holds the consolidated balance from this"
            "transaction"
        ),
    ]
    security_ids: Annotated[
        list[str],
        Field(
            description="Array of identifiers for the security (or securities) being consolidation as a"
            "result of the transaction"
        ),
    ]
    reason_text: Optional[
        Annotated[
            str,
            Field(
                description="Free-form human-readable reason for stock consolidation"
            ),
        ]
    ] = None
