"""Abstract transaction object to be extended by all transaction objects that
affect the issuer"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.2.0/schema/primitives/objects/transactions/IssuerTransaction.schema.json

from pydantic import BaseModel
from pydantic import Field
from typing import Annotated


class IssuerTransaction(BaseModel):
    """Abstract transaction object to be extended by all transaction objects that
    affect the issuer
    """

    issuer_id: Annotated[
        str,
        Field(
            description="Identifier of the Issuer object, a subject of this transaction"
        ),
    ]
