"""Sets forth inputs and conversion mechanism based on valuations"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-OCF/t
# ree/v1.2.0/schema/types/conversion_mechanisms/ValuationBasedConversionMechanism.
# schema.json

from pydantic import Field
from pyocf.enums.valuationbasedformulatype import ValuationBasedFormulaType
from pyocf.primitives.types.conversion_mechanisms.conversionmechanism import (
    ConversionMechanism,
)
from pyocf.types.capitalizationdefinitionrules import CapitalizationDefinitionRules
from pyocf.types.monetary import Monetary
from typing import Annotated
from typing import Literal
from typing import Optional


class ValuationBasedConversionMechanism(ConversionMechanism):
    """Sets forth inputs and conversion mechanism based on valuations"""

    type: Annotated[Literal["VALUATION_BASED_CONVERSION"], Field(description="")] = (
        "VALUATION_BASED_CONVERSION"
    )
    valuation_type: Annotated[ValuationBasedFormulaType, Field(description="")]
    valuation_amount: Optional[
        Annotated[
            Monetary,
            Field(
                description="If there is a specified valuation figure to use, what is it? Look to"
                "`valuation_type` to understand whether this represents, a max valuation (`CAP`),"
                "actual valuation at time of exercise (`ACTUAL`) or fixed valuation (`FIXED`)."
            ),
        ]
    ] = None
    capitalization_definition: Optional[
        Annotated[
            str,
            Field(
                description="How is company capitalization defined for purposes of exercise calculations? If"
                "possible, include the legal language from the instrument."
            ),
        ]
    ] = None
    capitalization_definition_rules: Optional[
        Annotated[
            CapitalizationDefinitionRules,
            Field(
                description="The rules for which types of securities would be included in the capitalization"
                "definition."
            ),
        ]
    ] = None
