"""A type representing a reference to any kind of OCF object"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/types/ObjectReference.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.enums.objecttype import ObjectType
from typing import Annotated


class ObjectReference(BaseModel):
    """A type representing a reference to any kind of OCF object"""

    object_type: Annotated[
        ObjectType,
        Field(
            description="The type of object being referenced. Informs which type of identifier is"
            "represented by the associated object_id"
        ),
    ]
    object_id: Annotated[
        str, Field(description="The identifier for the referenced object")
    ]
