"""Describes an exact vesting date and amount"""

# Autogenerated, do not edit.
# Copyright © 2023 FMR LLC
#
# Based on the Open Captable Format schema:
# Copyright © 2024 Open Cap Table Coalition (https://opencaptablecoalition.com) /
# Original File: https://github.com/Open-Cap-Table-Coalition/Open-Cap-Format-
# OCF/tree/v1.2.0/schema/types/Vesting.schema.json

from pydantic import BaseModel
from pydantic import Field
from pyocf.types.date import Date
from pyocf.types.numeric import Numeric
from typing import Annotated


class Vesting(BaseModel):
    """Describes an exact vesting date and amount"""

    date: Annotated[Date, Field(description="Date the vesting occurred or will occur")]
    amount: Annotated[
        Numeric, Field(description="Quantity of shares which vested or will vest")
    ]
